Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _constants = require('../redux/constants.js');

var Alert = function Alert(options) {
  return function (dispatch) {
    return new Promise(function (resolve, reject) {
      return dispatch({
        type: _constants.DialogAction.SET.ALERT,
        options: _extends({
          isOpen: true,
          resolve: resolve,
          reject: reject
        }, options)
      });
    });
  };
};

exports.default = Alert;