Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redux = require('redux');

var _constants = require('./constants');

var dialogReducer = function dialogReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    alertOptions: {},
    confirmOptions: {}
  };
  var action = arguments[1];

  switch (action.type) {
    case _constants.DialogAction.SET.CONFIRM:
      return Object.assign({}, state, {
        confirmOptions: action.options
      });

    case _constants.DialogAction.SET.ALERT:
      return Object.assign({}, state, {
        alertOptions: action.options
      });

    default:
      return state;
  }
};

exports.default = dialogReducer;